<script context="module">
	export const prerender = false;
</script>

<script>
	import Map from '$lib/leaflet';
	import Marker from '$lib/leaflet/models/Marker.js';
	import { stations } from '$lib/stations.js';

	$: clusters = $stations
		.filter((station) => station.rr)
		.map((station) => {
			let marker = new Marker(
				station.latitude,
				station.longitude,
				station.libelle,
				station.tx,
				station.tn,
				station.rr
			);
			return marker;
		});
	$: options = {
		clusters
	};
</script>

<div class="map">
	{#key options}
		<Map {options} />
	{/key}
</div>

<style>
	.map {
		height: 600px;
		width: auto;
	}
</style>
